Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.server.api.monitor
Interface RunningReport

    public interface RunningReport

Interface `RunningReport` contains information of a running report in the report server.

Method Summary
`java.lang.String` | `getCatalog()` Returns the catalog of the report.
`int` | `getLaunchType()` Returns the launch type of the task.
`java.lang.String` | `getLaunchTypeToString()` Gets the launch type of display string.
`java.lang.String` | `getParamFile()` Returns the parameter file name with directory.
`java.lang.String` | `getPublishType()` Returns the report publish type of the active task and displays as "Task Type".
`java.lang.String` | `getReport()` Returns the report name of the report.
`java.lang.String` | `getRunName()` Gets the name of the report server which provides JREngine in the cluster server.
`java.lang.String` | `getRunPort()` Gets the port of the report server which provides JREngine in the cluster server.
`java.util.Date` | `getStartedTime()` Returns the started time of the current running report.
`java.util.Date` | `getSubmitedTime()` Returns the submitted time of the running report from the client.
`java.lang.String` | `getTaskClass()` Returns the task class of the task.
`java.lang.String` | `getTaskClassToString()` Gets the task class of display string.
`java.lang.String` | `getTaskID()` Returns the task ID of the report.
`java.lang.String` | `getUserID()` Returns the user id of the current running task.
`long` | `getWaitTimeInRun()` Returns the time for when the report has been in the waiting queue.
`void` | `setRunHost(java.lang.String runHost)` Sets the host name of the report server which provides JREngine in the cluster server.
`void` | `setRunPort(java.lang.String runPort)` Sets the port of the report server which provides JREngine in the cluster server.

Method Detail

### getPublishType

    java.lang.String getPublishType()

  Returns the report publish type of the active task and displays as "Task Type".

### getUserID

    java.lang.String getUserID()

  Returns the user id of the current running task.

  Returns:
    the user id of the current running task.

### getStartedTime

    java.util.Date getStartedTime()

  Returns the started time of the current running report.

  Returns:
    the started time of the current running report.

### getSubmitedTime

    java.util.Date getSubmitedTime()

  Returns the submitted time of the running report from the client.

  Returns:
    the report submitted time from the client.

### getTaskID

    java.lang.String getTaskID()

  Returns the task ID of the report.

  Returns:
    the task ID of the report.

### getTaskClass

    java.lang.String getTaskClass()

  Returns the task class of the task.

  Returns:
    the task class of the task.

### getLaunchType

    int getLaunchType()

  Returns the launch type of the task.

  Returns:
    the launch type of the task.

### getCatalog

    java.lang.String getCatalog()

  Returns the catalog of the report.

  Returns:
    the catalog of the report.

### getReport

    java.lang.String getReport()

  Returns the report name of the report.

  Returns:
    the report name of the report.

### getParamFile

    java.lang.String getParamFile()

  Returns the parameter file name with directory.

  Returns:
    the parameter file name with directory.

### getWaitTimeInRun

    long getWaitTimeInRun()

  Returns the time for when the report has been in the waiting queue.

  Returns:
    the time for when the report has been in the waiting queue.

### getRunName

    java.lang.String getRunName()

  Gets the name of the report server which provides JREngine in the cluster server.

  Returns:
    the name of the report server which provides JREngine in the cluster server.

### getRunPort

    java.lang.String getRunPort()

  Gets the port of the report server which provides JREngine in the cluster server.

  Returns:
    the port of the report server which provides JREngine in the cluster server.

### setRunHost

    void setRunHost(java.lang.String runHost)

  Sets the host name of the report server which provides JREngine in the cluster server.

  Parameters:
    `runHost` - the host name of the report server which provides JREngine in the cluster server.

### setRunPort

    void setRunPort(java.lang.String runPort)

  Sets the port of the report server which provides JREngine in the cluster server.

  Parameters:
    `runPort` - the port of the report server which provides JREngine in the cluster server.

### getLaunchTypeToString

    java.lang.String getLaunchTypeToString()

  Gets the launch type of display string.

  Returns:
    the launch type of display string.

### getTaskClassToString

    java.lang.String getTaskClassToString()

  Gets the task class of display string.

  Returns:
    the task class of display string.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD